This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 581021 - virsh dommemstat doesn't work under QMP
virsh dommemstat doesn't work under QMP
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-09 15:39 EDT by Luiz Capitulino
Modified: 2010-05-21 13:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-21 13:39:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luiz Capitulino 2010-04-09 15:39:16 EDT
Description of problem:

virsh command dommemstat shows nothing when libvirt is configured to work under QMP.


Version-Release number of selected component (if applicable):
I've tested directly against the repository (HEAD cddd3ac8b0503c55fa938fc5d4ff5a3ed4599ca9)


How reproducible:


Steps to Reproduce:
1. virsh staging dommemstat

  
Actual results:
Nothing is printed


Expected results:
I believe it should be print the memory stats, but what really caught my attention is that it's sending user Monitor commands to the QMP Server (so it gets an error).

Additional info:
Comment 1 Cole Robinson 2010-05-21 13:39:40 EDT
Fixed upstream:

http://libvirt.org/git/?p=libvirt.git;a=commit;h=4f81919ad256f5c3f17ff3c93fb96a0bd8032948

Not relevant for a fedora release, rawhide will get this fix when we rebase, so just closing as UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.